Skip to content

User ​

Get info about your current user account.

Get your User ​

GET
/user

Example response ​

json
// HTTP 200 OK
{
    "id": 1234,
    "firstname": "Alice",
    "lastname": "Cooper",
    "fullName": "Alice Cooper",
    "email": "alice.cooper@acme.com",
    "role": "CEO",
    "job_title": "CEO",
    "department": "Management",
    "description": "Chief Executive Officer",
    "locale": "en",
    "verified": true,
    "avatar": {
        "uuid": "550e8400-e29b-41d4-a716-446655440000",
        "name": "avatar.jpg",
        "description": null,
        "mime_type": "image/jpeg",
        "collection": "avatar",
        "url": "https://api.blond.swiss/image/550e8400-e29b-41d4-a716-446655440000/avatar.jpg?w=100&h=100&fit=crop&signature=..."
    },
    "gravatar_url": "https://www.gravatar.com/avatar/ca9adace08fc27354ef939bab2e3c1b9?s=100&d=identicon&r=g",
    "settings": {
        "notifyWeeklyProjectOverview": false,
        "notifyWeeklyDigest": true,
        "notifyOverdueInvoices": true,
        "notifyRFDInvoices": true,
        "notifyLastRecurringInvoices": true,
        "notifyPromotions": true
    },
    "two_factor_enabled": false,
    "two_factor_qr_code": null,
    "two_factor_qr_code_url": null,
    "two_factor_recovery_codes": [],
    "superuser_dashboard_url": null,
    "password_confirmation_valid_until": 1672574886,
    "auth_providers": {
        "apple": false,
        "google": true
    },
    "current_organization": {
        "id": 124,
        "owner": {
            // A user object
        },
        "name": "Acme Inc",
        "vat_idn": null,
        "country": {
            "id": 1,
            "name": "Schweiz",
            "code": "CH",
            "currency_code": "CHF",
            "default_vat_rate": 7.7
        },
        "is_on_trial": true,
        "trial_ends_at": "2022-12-15T08:08:06.000000Z",
        "subscription": null,
        "has_payment_method": false,
        "billing_portal_url": "https://api.blond.swiss/organization/124/billing-portal?signature=8838ea8fbd195715b7f359cde9dd78ac20e008ae737b9420cbc6bc2deb43f721",
        "billing_portal_plan_url": "https://api.blond.swiss/organization/124/billing-portal?signature=8838ea8fbd195715b7f359cde9dd78ac20e008ae737b9420cbc6bc2deb43f721",
        "billing_address": "Hardturmstrasse 123",
        "billing_address_line_2": null,
        "billing_city": "Zürich",
        "billing_zip": "8005",
        "billing_state": null,
        "billing_country": "CH",
        "phone_number": "+41 43 999 12 23",
        "extra_billing_information": null,
        "member_id": 185,
        "member": {
            // Member object
        },
        "members_count": 5,
        "role_in_organization": "admin",
        "is_support_login": false,
        "logo": {
            "uuid": "6aa451d3-54f2-4f69-a8cb-6f5591f14c8f",
            "name": "logo.png",
            "description": null,
            "mime_type": "image/png",
            "collection": "logo",
            "url": "https://api.blond.swiss/image/6aa451d3-54f2-4f69-a8cb-6f5591f14c8f/logo%202022-09-16%20um%2009.07.51.png?h=100&w=100&signature=4c35c191e2b9f594c595e8c5d32633bc98104207ac6adb9ec568bf605b434986"
        },
        "max_dunning_level": 3,
        "settings": {
            // Organization settings object
        },
        "invoices_count": 1,
        "offers_count": 1,
        "projects_count": 1,
        "companies_count": 1,
        "products_count": 3,
        "rates_count": 9,
        "tags_count": 0,
        "expenses_count": 0,
        "times_count": 2,
        "expense_parser_quota": 30,
        "free_expense_parser_quota": 30,
        "addons": [],
        "created_at": "2022-09-16T07:08:06.000000Z",
        "permissions": [
            {
                "id": 1,
                "name": "create_invoices",
                "guard_name": "web"
            }
        ],
        "expenses_mail_address": "expenses-abc6oajkl185@inbound.strawblond.com",
        "inbound_mail_count": 3,
        "absences_ics_url": "https://api.blond.swiss/organization/124/absences.ics?signature=...",
        "absences_awaiting_approval_count": 2
    },
    "organizations": [
        {
            // Organization simple objects
        }
    ],
    "invitations": [
        {
            // Invitation objects
        }
    ],
    "time_trackers": [
        {
            // Active time tracker objects
        }
    ]
}

Update your user ​

patch
/user

Request body ​

AttributeTypeRequiredDescription
firstnameStringNoThe user's first name
lastnameStringNoThe user's last name
emailStringNoThe email address (must be unique)
passwordStringNoThe new password (minimum 6 characters)
descriptionStringNoUser description or bio
localeStringNoUser locale (de or en)

User Settings ​

AttributeTypeDescription
settings.notifyOverdueInvoicesBooleanNotify about overdue invoices
settings.notifyRFDInvoicesBooleanNotify about invoices ready for delivery
settings.notifyWeeklyProjectOverviewBooleanWeekly project overview notifications
settings.notifyWeeklyDigestBooleanWeekly status digest
settings.notifyPromotionsBooleanPromotional notifications

Authentication Providers ​

AttributeTypeDescription
apple_idStringApple ID for authentication
google_idStringGoogle ID for authentication

Important

You need to verify the email address again after updating it.